Bug 164077 - Gamin in updates testing segfaults with Courier imapserver
Gamin in updates testing segfaults with Courier imapserver
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Veillard
Depends On:
  Show dependency treegraph
Reported: 2005-07-24 04:55 EDT by Vaclav "sHINOBI" Misek
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.1.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-05 03:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vaclav "sHINOBI" Misek 2005-07-24 04:55:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
The above mentioned version of gamin segfualts with following messages

kernel: gam_server[8033]: segfault at 0000000000000020 rip 000000359df23a8b rsp 00007fffffe8ea80 error 4
kernel: gam_server[8150]: segfault at 0000000000000020 rip 000000359df23a8b rsp 00007fffffd0b930 error 4

with Courier imap server. The "official" update version (gamin-0.1.1-1.FC3) works without any problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install updated gamin

Actual Results:  segfaults in /var/log/messages

Additional info:
Comment 1 Daniel Veillard 2005-07-27 13:51:47 EDT
The steps to reproduce are clearly insufficient ! I have an updated gamin
and see no crash. If you can't provide reproductible steps at least provide
a stack trace for the crash by running gam_server under GDB.

Comment 2 Vaclav "sHINOBI" Misek 2005-07-27 18:36:07 EDT
The problem appears when I try to check folders for new messages IMHO. The
backtrace follows (if you need something more, please describe it precisely as
I'm not common with debugging yet).

(gdb) bt
#0  0x000000359df23a8b in g_list_remove () from /usr/lib64/libglib-2.0.so.0
#1  0x000000000040343b in gam_listener_remove_subscription (listener=0x51e9b0,
    sub=0x51e810) at gam_listener.c:246
#2  0x00000000004083d6 in gam_connection_data (conn=0x531ac0, len=47)
    at gam_connection.c:329
#3  0x0000000000407044 in gam_client_conn_read (source=0x52f130,
    condition=5367824, info=0x0) at gam_channel.c:278
#4  0x000000359df2675d in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#5  0x000000359df28437 in g_main_context_acquire ()
   from /usr/lib64/libglib-2.0.so.0
#6  0x000000359df287d5 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#7  0x0000000000403ab3 in main (argc=-5105919, argv=0x0) at gam_server.c:361
#8  0x000000359bf1c4bb in __libc_start_main () from /lib64/tls/libc.so.6
#9  0x0000000000402afa in _start ()
#10 0x00007fffffb21ab8 in ?? ()
#11 0x000000000000001c in ?? ()
#12 0x0000000000000001 in ?? ()
#13 0x00007fffffb22833 in ?? ()
#14 0x0000000000000000 in ?? ()


Comment 3 Daniel Veillard 2005-08-02 15:52:12 EDT
I have pushed a testing update based on gamin-0.1.3-1 , could you check
whether this fixed the problem ?

Comment 4 Vaclav "sHINOBI" Misek 2005-08-02 17:41:08 EDT
Yes, this version seems to be fixing that segfault. Great work, thanks a lot!!!

Note You need to log in before you can comment on or make changes to this bug.